<div class="row">
    <div class="col-md-4">
        <h3>Directory</h3>
        <div class="row">
            <div class="col-sm-6">
                <input type="text" placeholder="number or name" class="form-control" id="xuc_directory">
            </div>
            <div class="col-sm-2">
                <button class="btn btn-danger" id="xuc_clean_directory"><span class="glyphicon glyphicon-remove-circle"></span></button>
                <button class="btn btn-warning" type="button" id="xuc_lookup_btn" title="Search">
                    <span class="glyphicon glyphicon-search" ></span>
                </button>
            </div>
        </div><br>
        <h3>Favorites</h3>
        <div class="form-group">
            <label class="col-sm-4 control-label">contact_id</label>
            <div class="col-sm-6">
                <input type="text" class="form-control" id="xuc_fav_contact_id" placeholder="id">
            </div>
            <label class="col-sm-4 control-label">source</label>
            <div class="col-sm-6">
                <input type="text" class="form-control" id="xuc_fav_source" placeholder="source">
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <br>
                <button class="btn btn-danger" id="xuc_clean_favorite"><span class="glyphicon glyphicon-remove-circle"></span></button>
                <button class="btn btn-success" type="button" id="xuc_favorites_btn" title="Get favorites">
                    List&nbsp;<span class="glyphicon glyphicon-star" ></span>
                </button>
                <button class="btn btn-warning" type="button" id="xuc_fav_add_btn" title="Add favorite">
                    Add&nbsp;<span class="glyphicon glyphicon-star" ></span>
                </button>
                <button class="btn btn-danger" type="button" id="xuc_fav_rm_btn" title="Remove favorite">
                    Remove&nbsp;<span class="glyphicon glyphicon-star" ></span>
                </button>
            </div>
        </div>
        <div>
            <ul class="list-group" id="favorite_update_result"> </ul>
        </div>
    </div>
    <div class="col-md-4">
        <h3>Personal Contacts</h3>
        <div class="row">
            <div class="col-sm-12">
                <br>
                <button class="btn btn-danger" id="xuc_clean_personal"><span class="glyphicon glyphicon-remove-circle"></span></button>
                <button class="btn btn-success" type="button" id="xuc_personal_list_btn" title="Get all personal contacts">List</button>
                <a class="btn btn-warning" id="xuc_personal_export_btn" href="" title="Export all personal contacts" target="_blank">Export</a>
                <label class="btn btn-warning"  title="Import personal contacts">
                    Import <input type="file" style="display: none;" id="xuc_personal_import_btn">
                </label>
                <button class="btn btn-danger" type="button" id="xuc_personal_del_all_btn" title="Remove all personal contact">Remove all</button>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <h4>Add/Edit/Delete personal contact</h4>
            </div>
            <div class="form-group">
                <div class="col-sm-8">
                    <input type="text" placeholder="Contact id" class="form-control" id="xuc_personal_contact_id">
                    <br>
                </div>
                <button class="btn btn-success" id="xuc_personal_get_btn" title="get personal contact">Get</button>
                <button class="btn btn-danger" id="xuc_personal_del_btn" title="remove personal contact">Remove</button>
                <div class="col-sm-8">
                    <input type="text" placeholder="Firstname" class="form-control" id="xuc_personal_firstname">
                    <input type="text" placeholder="Lastname" class="form-control" id="xuc_personal_lastname">
                    <input type="text" placeholder="Number" class="form-control" id="xuc_personal_number">
                    <input type="text" placeholder="Mobile" class="form-control" id="xuc_personal_mobile">
                    <input type="text" placeholder="Fax" class="form-control" id="xuc_personal_fax">
                    <input type="text" placeholder="E-mail" class="form-control" id="xuc_personal_email">
                    <input type="text" placeholder="Company" class="form-control" id="xuc_personal_company">
                    <br/>
                    <button class="btn btn-success" id="xuc_personal_add_btn" title="add personal contact">Add</button>
                    <button class="btn btn-warning" id="xuc_personal_edit_btn" title="edit personal contact">Edit</button>
                </div>
            </div>
        </div>
    </div>
    <div class="col-sm-12">
        <br>
        <div id="directoryresult" class="span8">
        </div>
    </div>
</div>